# Machine Learning On Time-Series (```MLOTS```)

 ![](docs/source/signal.gif)  
 [![Build Status](https://travis-ci.com/vivekmahato/mlots.svg?branch=main)](https://travis-ci.com/vivekmahato/mlots)
 [![codecov](https://codecov.io/gh/vivekmahato/mlots/branch/main/graph/badge.svg?token=YRbBDwzetb)](https://codecov.io/gh/vivekmahato/mlots)
 [![PyPI pyversions](https://img.shields.io/pypi/pyversions/mlots.svg)](https://pypi.python.org/pypi/mlots/)
 [![Documentation Status](https://readthedocs.org/projects/mlots/badge/?version=latest)](http://mlots.readthedocs.io/?badge=latest)
 [![License](https://img.shields.io/badge/License-BSD%203--Clause-blue.svg)](https://opensource.org/licenses/BSD-3-Clause)
 ![GitHub last commit](https://img.shields.io/github/last-commit/vivekmahato/mlots?color=red&style=plastic)
 [![Twitter](https://img.shields.io/twitter/url/https/twitter.com/mistermahato.svg?style=social&label=Follow)](https://twitter.com/mistermahato)

```mlots``` provides Machine Learning tools for Time-Series Classification.
This package builds on (and hence depends on) ```scikit-learn```, ```numpy```, ```tslearn```, ```annoy```, and ```hnswlib``` libraries.

It can be installed as a python package from the [PyPI](https://pypi.org/project/mlots/) repository.

## Installation

Install ```mlots``` by running:

   <pre><code class="python">pip install mlots
</code></pre>

After installation, it can be imported to a ```python``` environment to be employed.

   <pre><code class="python">import mlots
</code></pre>

## Contribute

- Issue Tracker: https://github.com/vivekmahato/mlots/issues
- Source Code: https://github.com/vivekmahato/mlots

## Support

If you are having issues, please let us know.

## License

The project is licensed under the BSD 3-Clause license.
